# BEGIN SourceDeps(oneline):
BuildRequires: libfftw3-devel libncurses-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1

Name: libgramofile
Version: 0.06
Release: alt3
Summary: GramoFile - Gramophone records to CDs, Tick Reduction, Track Splitting
Group: Other
License: GPL-2
Url: http://www.opensourcepartners.nl/~costar/gramofile/

Source0: %{name}-%{version}.tar.gz

%description
Library and applications for splitting long wav files
and applying signal processing filters to the
resulting split files.

%package -n libgramofile0
Summary: shared library for %name
Group: System/Libraries

%description -n libgramofile0
shared library for %name

%package -n libgramofile-devel
Summary: development files for %name
Group: Development/C
Requires: libgramofile0 = %{?serial:%epoch:}%version-%release
Provides: gramofile-devel = %EVR

%description -n libgramofile-devel
development files for %name

%package -n libgramofile-devel-static
Summary: static libraries for %name
Group: Development/C
Requires: libgramofile-devel = %{?serial:%epoch:}%version-%release
Provides: gramofile-devel = %EVR


%description -n libgramofile-devel-static
static libraries for %name

%prep
%setup -n %{name}-%{version}

%build
%configure
%make

%install
%makeinstall_std

%files
%doc ChangeLog COPYING TODO copyright README AUTHORS doc
%_bindir/*
%_man1dir/*

%files -n libgramofile0
%_libdir/*.so.*

%files -n libgramofile-devel
%_includedir/*
%_libdir/libgramofile.so

%files -n libgramofile-devel-static
%_libdir/*.a

%changelog
* Sat Mar 09 2019 Cronbuild Service <cronbuild@altlinux.org> 0.06-alt3
- rebuild to get rid of unmets

* Sat Mar 24 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2
- added Url

* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

